string(3)

NAME
string - string operations

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <string.h>
#include <strings.h>

DESCRIPTION

  Copy

strcpy(3)
stpcpy(3)

  Catenate

strcat(3)

  Duplicate

strdup(3)
strdupa(3)

  Compare

streq(3)
strcmp(3)
strcasecmp(3)
strcoll(3)
strverscmp(3)

  Search

strlen(3)
strnul(3)
strchrnul(3)
strchr(3)
strrchr(3)
strpbrk(3)
strstr(3)
strcasestr(3)
strspn(3)
strcspn(3)

  Separate

strsep(3)
strtok(3)

  Others

strxfrm(3)

SEE ALSO
memory.h(3head), string_copying(7)